package com.srs.comprehensive.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 加分规则对象 srs_aspect
 * 
 * @author srs
 * @date 2023-06-19
 */
public class SrsAspect extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 方面名称 */
    @Excel(name = "方面名称")
    private String aspectName;

    /** 所属大类id */
    @Excel(name = "所属大类id")
    private Long categoryId;

    /** 最高得分 */
    @Excel(name = "最高得分")
    private Long scoreMax;

    /** 最低得分 */
    @Excel(name = "最低得分")
    private Long scoreMin;

    /** 方面描述说明 */
    @Excel(name = "方面描述说明")
    private String description;

    /** 状态（0正常，1禁用） */
    @Excel(name = "状态", readConverterExp = "0=正常，1禁用")
    private String status;

    /** 删除标记（0存在2删除） */
    private String delFlag;
    /**加分规则 */
//    private SrsBonusRules bonusRules;
//    public SrsBonusRules getBonusRules() {
//        return bonusRules;
//    }
//
//    public void setBonusRules(SrsBonusRules bonusRules) {
//        this.bonusRules = bonusRules;
//    }




    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAspectName(String aspectName) 
    {
        this.aspectName = aspectName;
    }

    public String getAspectName() 
    {
        return aspectName;
    }
    public void setCategoryId(Long categoryId) 
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId() 
    {
        return categoryId;
    }
    public void setScoreMax(Long scoreMax) 
    {
        this.scoreMax = scoreMax;
    }

    public Long getScoreMax() 
    {
        return scoreMax;
    }
    public void setScoreMin(Long scoreMin) 
    {
        this.scoreMin = scoreMin;
    }

    public Long getScoreMin() 
    {
        return scoreMin;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aspectName", getAspectName())
            .append("categoryId", getCategoryId())
            .append("scoreMax", getScoreMax())
            .append("scoreMin", getScoreMin())
            .append("description", getDescription())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
